﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/e3e237eb-7ab3-45d6-820a-55aa5e1ebeb3/b31595e93cb6b40c8ce39caec7019b34/dotnet-sdk-2.1.802-win-x86.exe'
$checksum   = '964F8DBDF1CDAF6A9F5746F8BAD4954AAF7912BB1E19226A074DF2463494344170401E6046546523D3A98245B1852ABF45E9E4BF562C6426D6CD7E796D7442DA'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/0297dbc2-424f-426a-a415-b39927dffe9a/2417ef7aae3c24da94ad7e54137b38b6/dotnet-sdk-2.1.802-win-x64.exe'
$checksum64 = '1212DDE9B6BE5EE950881F8CEFBE5D96599EF3DCC08FB5E212EED5F1450AF7842E153E179B7E7C6E35B770C637F2306824D8EE348C3191D2A6DAA1D5B4CD6A25'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
